<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>lib.assertion &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="../../_static/doctools.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../lib.html">lib package</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../scripts.html">scripts.multiple_candidates package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="../index.html">Module code</a> &raquo;</li>
      <li>lib.assertion</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <h1>Source code for lib.assertion</h1><div class="highlight"><pre>
<span></span><span class="sd">&quot;&quot;&quot; Module that contains functions to check/assert</span>
<span class="sd">&quot;&quot;&quot;</span>


<div class="viewcode-block" id="assert_var_in_list"><a class="viewcode-back" href="../../lib.html#lib.assertion.assert_var_in_list">[docs]</a><span class="k">def</span> <span class="nf">assert_var_in_list</span><span class="p">(</span><span class="n">var</span><span class="p">:</span> <span class="nb">object</span><span class="p">,</span> <span class="n">list_vars</span><span class="p">:</span> <span class="nb">list</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot; Assert that a variable ``var`` is in a list ``list_vars``.</span>

<span class="sd">    Args:</span>
<span class="sd">        var: the variable</span>
<span class="sd">        list_vars: list of variables</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">assert</span> <span class="n">var</span> <span class="ow">in</span> <span class="n">list_vars</span><span class="p">,</span> <span class="p">(</span><span class="sa">f</span><span class="s2">&quot;Variable </span><span class="si">{var}</span><span class="s2"> should be &quot;</span>
                              <span class="o">+</span> <span class="s2">&quot; or &quot;</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">list_vars</span><span class="p">))</span></div>


<div class="viewcode-block" id="assert_type"><a class="viewcode-back" href="../../lib.html#lib.assertion.assert_type">[docs]</a><span class="k">def</span> <span class="nf">assert_type</span><span class="p">(</span><span class="n">var</span><span class="p">:</span> <span class="nb">object</span><span class="p">,</span> <span class="n">target_type</span><span class="p">:</span> <span class="nb">object</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    Assert that the type of a variable ``var`` is ``target_type``</span>

<span class="sd">    Args:</span>
<span class="sd">        var: the variable</span>
<span class="sd">        target_type: a type</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">assert</span> <span class="nb">isinstance</span><span class="p">(</span><span class="n">var</span><span class="p">,</span> <span class="n">target_type</span><span class="p">),</span> <span class="p">(</span>
        <span class="sa">f</span><span class="s2">&quot;The type of </span><span class="si">{var}</span><span class="s2"> should be &quot;</span> <span class="o">+</span> <span class="n">target_type</span> <span class="o">+</span> <span class="sa">f</span><span class="s2">&quot;but is {type(var)}&quot;</span><span class="p">)</span></div>


<div class="viewcode-block" id="gen_assert"><a class="viewcode-back" href="../../lib.html#lib.assertion.gen_assert">[docs]</a><span class="k">def</span> <span class="nf">gen_assert</span><span class="p">(</span><span class="n">var</span><span class="p">:</span> <span class="nb">object</span><span class="p">,</span> <span class="n">obj</span><span class="p">:</span> <span class="nb">object</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    If ``obj`` is a list, assert that ``var`` is in ``obj``. Else,</span>
<span class="sd">    assert that the type of ``var`` is ``obj``.</span>

<span class="sd">    Args:</span>
<span class="sd">        var: the variable</span>
<span class="sd">        obj: a list or a type</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="n">obj</span> <span class="ow">is</span> <span class="ow">not</span> <span class="kc">None</span><span class="p">:</span>
        <span class="k">if</span> <span class="nb">isinstance</span><span class="p">(</span><span class="n">obj</span><span class="p">,</span> <span class="nb">list</span><span class="p">):</span>
            <span class="n">assert_var_in_list</span><span class="p">(</span><span class="n">var</span><span class="p">,</span> <span class="n">obj</span><span class="p">)</span>
        <span class="k">else</span><span class="p">:</span>
            <span class="n">assert_type</span><span class="p">(</span><span class="n">var</span><span class="p">,</span> <span class="n">obj</span><span class="p">)</span></div>
</pre></div>

           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>